Create node
curl --request POST \
--url https://api.pathors.com/v1/projects/{projectId}/pathway/nodes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"data": {
"type": "<string>",
"title": "<string>",
"prompt": "<string>",
"tools": [
"<string>"
],
"knowledgeBaseId": "<string>",
"variableKeys": [
"<string>"
],
"staticTokenCount": 123
}
}
'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/pathway/nodes"
payload = {
"id": "<string>",
"data": {
"type": "<string>",
"title": "<string>",
"prompt": "<string>",
"tools": ["<string>"],
"knowledgeBaseId": "<string>",
"variableKeys": ["<string>"],
"staticTokenCount": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
data: {
type: '<string>',
title: '<string>',
prompt: '<string>',
tools: ['<string>'],
knowledgeBaseId: '<string>',
variableKeys: ['<string>'],
staticTokenCount: 123
}
})
};
fetch('https://api.pathors.com/v1/projects/{projectId}/pathway/nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"data": {
"type": "<string>",
"title": "<string>",
"prompt": "<string>",
"tools": [
"<string>"
],
"knowledgeBaseId": "<string>",
"variableKeys": [
"<string>"
],
"staticTokenCount": 123
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Pathway
Create node
Add a node to the pathway. Returns 409 if a node with the same ID already exists.
POST
/
v1
/
projects
/
{projectId}
/
pathway
/
nodes
Create node
Authorizations
Developer key created from the dashboard (Settings → Developer Keys)
Path Parameters
The ID of your project
Body
application/json
Response
Created
Show child attributes
Show child attributes
⌘I
